Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#56 BSOD[DRIVER_IRQL_NOT_LESS_OR_EQUAL]

closed-out-of-date
nobody
None
5
2007-03-09
2005-02-22
Anonymous
No

Hi

Unfortunately I got a
BSOD,DRIVER_IRQL_NOT_LESS_OR_EQUAL.

I installed coLinux 0.6.2 with WinPcap and Debian.
I edited my xml.
but I got the BSOD at first startup.

PC: DELL DIMENSION 4700C
OS: Windows XP Professional service pack 2
coLinux Version: 0.6.2
Kernel: Debian-3.0r2.ext3-mit-backports.1gb.bz2

and dumpchk.exe....
----- 32 bit Kernel Mini Dump Analysis

DUMP_HEADER32:
MajorVersion 0000000f
MinorVersion 00000a28
DirectoryTableBase 06d00460
PfnDataBase 80ea6000
PsLoadedModuleList 8055e700
PsActiveProcessHead 805647b8
MachineImageType 0000014c
NumberProcessors 00000002
BugCheckCode 100000d1
BugCheckParameter1 aa45701c
BugCheckParameter2 000000ff
BugCheckParameter3 00000008
BugCheckParameter4 aa45701c
PaeEnabled 00000001
KdDebuggerDataBlock 8054e2e0
MiniDumpFields 00000dff

TRIAGE_DUMP32:
ServicePackBuild 00000200
SizeOfDump 00010000
ValidOffset 0000fffc
ContextOffset 00000320
ExceptionOffset 000007d0
MmOffset 00001068
UnloadedDriversOffset 000010a0
PrcbOffset 00001878
ProcessOffset 000024c8
ThreadOffset 00002728
CallStackOffset 00002980
SizeOfCallStack 00000590
DriverListOffset 000031a0
DriverCount 000000b1
StringPoolOffset 00006630
StringPoolSize 00001890
BrokenDriverOffset 00000000
TriageOptions 00000041
TopOfStack a9864a70
DebuggerDataOffset 00002f10
DebuggerDataSize 00000290
DataBlocksOffset 00007ec0
DataBlocksCount 00000002

Windows XP Kernel Version 2600 (Service Pack 2) MP (2
procs) Free x86 compatible

Kernel base = 0x804d9000 PsLoadedModuleList =
0x8055e700
Debug session time: Tue Feb 22 13:44:39 2005
System Uptime: 0 days 0:30:06
start end module name
804d9000 806e4000 nt Checksum: 001FA86B
Timestamp: Wed Aug 04 14:
58:37 2004 (41107B0D)

Unloaded modules:
a9562000 a958c000 kmixer.sys Timestamp:
unavailable (00000000)
a9548000 a9562000 linux.sys Timestamp:
unavailable (00000000)
a9562000 a958c000 kmixer.sys Timestamp:
unavailable (00000000)
a9562000 a958c000 kmixer.sys Timestamp:
unavailable (00000000)
a9562000 a958c000 kmixer.sys Timestamp:
unavailable (00000000)
a9bf2000 a9c0c000 linux.sys Timestamp: unavailable
(00000000)
aa044000 aa06e000 kmixer.sys Timestamp:
unavailable (00000000)
f7bbd000 f7bbe000 drmkaud.sys Timestamp:
unavailable (00000000)
aa1c6000 aa1d3000 DMusic.sys Timestamp:
unavailable (00000000)
aa1d6000 aa1e4000 swmidi.sys Timestamp:
unavailable (00000000)
aa06e000 aa091000 aec.sys Timestamp:
unavailable (00000000)
f7b52000 f7b54000 splitter.sys Timestamp:
unavailable (00000000)
f7221000 f7225000 kbdhid.sys Timestamp:
unavailable (00000000)
f7181000 f718e000 i8042prt.sys Timestamp:
unavailable (00000000)
f78d6000 f78db000 Cdaudio.SYS Timestamp:
unavailable (00000000)
f7225000 f7228000 Sfloppy.SYS Timestamp:
unavailable (00000000)

Finished dump check
----

thanks.

Discussion

  • Logged In: YES
    user_id=30412

    Does it work after the reboot from the crash? Does doing an
    colinux-daemon --remove-driver then colinux-daemon
    --install-driver fix the problem?

     
  • Logged In: NO

    > Does it work after the reboot from the crash?
    Doesn't work.

    > Does doing an colinux-daemon --remove-driver then colinux-
    daemon --install-driver fix the problem?
    I tried, but it doesn't work.

    My operation log is here.
    ----------------------------------------------------------------
    C:\coLinux>colinux-daemon --remove-driver
    Cooperative Linux Daemon, 0.6.2
    Compiled on Sat Feb 5 10:19:28 2005

    C:\coLinux>colinux-daemon --install-driver
    colinux: manager open: last error: 指定されたファイルが見つか
    りません。
    ### the error means "File not found" in Japanese ###
    Cooperative Linux Daemon, 0.6.2
    Compiled on Sat Feb 5 10:19:28 2005

    loading C:\coLinux\linux.sys
    daemon: driver installed

    C:\coLinux>colinux-daemon -c C:\coLinux\colinux.xml

    (then BSOD DRIVER_IRQL_NOT_LESS_OR_EQUAL)
    ----------------------------------------------------------------

     
  • BJH
    BJH
    2005-02-25

    Logged In: YES
    user_id=4134

    Tecnical note, a IRQL_NOT_LESS_OR_EQUAL means that paged
    memory was accessed when non-paged memory is expected. The
    operation caused a page fault which triggered an undefined
    or random interrupt.

    It is hard to find the exact reason for this with a trace,
    as it usually crashes the entire system before a complete
    trace can be done.

     
  • Henry N.
    Henry N.
    2005-02-25

    Logged In: YES
    user_id=579204

    Please view into your startup scripts of debian. Locking
    for "hwinfo". This function produce a memory crash.
    If found this program, rename or remove this temporaly.

    This binary fix the /dev/mem access, please try:
    http://www.henrynestler.com/colinux/binary/stable-0.6.3-
    20050219hn/

    Henry

     
  • Logged In: YES
    user_id=30412

    Has this issue been resolved for you with Henry's suggestion
    & or binaries?

     
  • Logged In: NO

    californiakidd
    henryn
    gboutwel

    tanks for your advaice.

    >Has this issue been resolved for you with Henry's suggestion
    & or binaries?

    I tryed henry's 0.6.3, but it seems not good for me so far.
    I got same error, bsod.

    I don't try removing 'hwinfo' yet.
    I need more time to give you detail report.
    Now I'm tied up with my job.

     
  • Logged In: YES
    user_id=1109645

    to be sure that it's not a debian problem try to boot the initrd

    change boot params to /dev/ram0
    and add(if not present) the initrd stuff in the xml or
    commandline

    you'll boot into a busybox that surely doesn't touch any
    hardware

     
  • David Kaufman
    David Kaufman
    2005-03-09

    Logged In: YES
    user_id=81575

    I experienced this same IRQL_NOT_LESS_OR_EQUAL
    crash many times soon after I first installed colinux on my
    Dell (Inspiron 1000) laptop. Sometimes it would occur as
    soon as colinux was started, sometimes later after the
    system was running for a while, but it never happened when
    colinux was *not* running, so I also assumed it was a colinux
    bug.

    The most frustrating part was that sometimes it didn't happen
    for days, then it would start happening repeatedly, then not
    again for days. For a while there I suspected it was related
    to a heat problem in the laptop, but it would happen a few
    times while the system was cold.

    But while it was definitely *triggered* by my use of colinux, it
    ultimately turned out to be a hardware problem with my RAM!

    A coworker saw the BSOD on my laptop screen, said "I
    know what's causing that". He turned it off, turned it upside
    down, opened the memory compartment, removed both
    DIMMS, procured a *pencil* (of all things), and proceeded to
    use the rubber eraser to clean the metal contacts of the
    DIMMS where they plug in to the main board. I laughed at
    him out load for "erasing my memory", cracked a few
    amnesia jokes, and just knew that was never going to work.

    Undeterred, he re-installed my RAM and booted the thing and
    the error has never happened again. That was many months
    ago and colinux has run flawlessly ever since.

    I can only assume that colinux used some very high region of
    memory addresses that Windows XP never used, uncovering
    this problem with my DIMM connections...

    Hope this helps,

    -dave

     
  • Logged In: NO

    hi

    I checked if it's debian's matter, or not.
    And it is not.

    I tried to use the image of Gentoo (Gentoo-colinux-stage3-
    x86-2004.3.bz2).
    Then I met the same error BSOD.
    So should be not debian's problem.

    It's seems like installer's problem.
    Because I got the error when using --install-driver.
    (see Date: 2005-02-22 20:45 comment)

    I'm using other two pc installed colinux.
    And I've never seen this error.

    thanks Dave.
    but it's seems not the same condition.
    because my foolish dell pc has never success to run colinux,
    even once.
    It's not unstable.
    so, where can i buy the rubber eraser.

    thanks.

     
  • Dana Chee
    Dana Chee
    2005-03-21

    Logged In: YES
    user_id=484721

    Ok, I too have the same problem. Dell Optiplex GX280,
    3.4GHz, 512MBytes RAM. System blue screens right after the
    colinux-daemon version line. Actually, it happened right
    after the Enabling TAP ... line, but I removed the network
    line from my xml file, so that doesn't show up anymore.
    This also fails (with a different blue screen) on my IBM
    Thinkpad T41, while the October Beta of 6.2 runs fine on
    that machine. On this one, both the October beta and the
    released has issues.

    Thanks,
    Dana

    default.colinux.xml:
    <?xml version="1.0" encoding="UTF-8"?>
    <colinux>
    <block_device index="0"
    path="\DosDevices\c:\coLinux\root_fs"
    enabled="true" />
    <block_device index="1"
    path="\DosDevices\c:\coLinux\swap_device"
    enabled="true" />
    <bootparams>root=/dev/ram0</bootparams>
    <initrd path="initrd.gz" />
    <image path="vmlinux" />
    <memory size="64" />
    </colinux>

    colinux-daemon:
    C:\coLinux>colinux-daemon -h
    Cooperative Linux Daemon, 0.6.2
    Compiled on Sat Feb 5 10:19:28 2005

    C:\WINDOWS\Minidump>dumpchk Mini032105-04.dmp
    Loading dump file Mini032105-04.dmp
    ----- 32 bit Kernel Mini Dump Analysis

    DUMP_HEADER32:
    MajorVersion 0000000f
    MinorVersion 00000a28
    DirectoryTableBase 03180760
    PfnDataBase 81922000
    PsLoadedModuleList 8055c700
    PsActiveProcessHead 805627b8
    MachineImageType 0000014c
    NumberProcessors 00000002
    BugCheckCode 100000d1
    BugCheckParameter1 a970801c
    BugCheckParameter2 000000ff
    BugCheckParameter3 00000008
    BugCheckParameter4 a970801c
    PaeEnabled 00000001
    KdDebuggerDataBlock 8054c2e0
    MiniDumpFields 00000dff

    TRIAGE_DUMP32:
    ServicePackBuild 00000200
    SizeOfDump 00010000
    ValidOffset 0000fffc
    ContextOffset 00000320
    ExceptionOffset 000007d0
    MmOffset 00001068
    UnloadedDriversOffset 000010a0
    PrcbOffset 00001878
    ProcessOffset 000024c8
    ThreadOffset 00002728
    CallStackOffset 00002980
    SizeOfCallStack 00000590
    DriverListOffset 000031a0
    DriverCount 0000008c
    StringPoolOffset 00005b30
    StringPoolSize 00001350
    BrokenDriverOffset 00000000
    TriageOptions 00000041
    TopOfStack a99f8a70
    DebuggerDataOffset 00002f10
    DebuggerDataSize 00000290
    DataBlocksOffset 00006e80
    DataBlocksCount 00000002

    Windows XP Kernel Version 2600 (Service Pack 2) MP (2 procs)
    Free x86 compatible

    Kernel base = 0x804d7000 PsLoadedModuleList = 0x8055c700
    Debug session time: Mon Mar 21 10:06:51 2005
    System Uptime: 0 days 0:03:44
    start end module name
    804d7000 806e2000 nt Checksum: 001F22D9
    Timestamp: Wed Aug 04 01:
    58:37 2004 (41107B0D)

    Unloaded modules:
    aa0f6000 aa120000 kmixer.sys Timestamp: unavailable
    (00000000)
    f8cd6000 f8cd7000 drmkaud.sys Timestamp: unavailable
    (00000000)
    aa1c0000 aa1e3000 aec.sys Timestamp: unavailable
    (00000000)
    aa2d8000 aa2e5000 DMusic.sys Timestamp: unavailable
    (00000000)
    aa3ac000 aa3ba000 swmidi.sys Timestamp: unavailable
    (00000000)
    f8b8b000 f8b8d000 splitter.sys Timestamp: unavailable
    (00000000)
    f8845000 f884e000 processr.sys Timestamp: unavailable
    (00000000)
    f8835000 f8840000 p3.sys Timestamp: unavailable
    (00000000)
    f8aa9000 f8aad000 kbdhid.sys Timestamp: unavailable
    (00000000)
    f8815000 f8822000 i8042prt.sys Timestamp: unavailable
    (00000000)
    f88cd000 f88d2000 Cdaudio.SYS Timestamp: unavailable
    (00000000)
    f8aa1000 f8aa4000 Sfloppy.SYS Timestamp: unavailable
    (00000000)

    Finished dump check

    C:\WINDOWS\Minidump>

     
  • Dana Chee
    Dana Chee
    2005-03-21

    Logged In: YES
    user_id=484721

    Ok, I too have the same problem. Dell Optiplex GX280,
    3.4GHz, 512MBytes RAM. System blue screens right after the
    colinux-daemon version line. Actually, it happened right
    after the Enabling TAP ... line, but I removed the network
    line from my xml file, so that doesn't show up anymore.
    This also fails (with a different blue screen) on my IBM
    Thinkpad T41, while the October Beta of 6.2 runs fine on
    that machine. On this one, both the October beta and the
    released has issues.

    Thanks,
    Dana

    default.colinux.xml:
    <?xml version="1.0" encoding="UTF-8"?>
    <colinux>
    <block_device index="0"
    path="\DosDevices\c:\coLinux\root_fs"
    enabled="true" />
    <block_device index="1"
    path="\DosDevices\c:\coLinux\swap_device"
    enabled="true" />
    <bootparams>root=/dev/ram0</bootparams>
    <initrd path="initrd.gz" />
    <image path="vmlinux" />
    <memory size="64" />
    </colinux>

    colinux-daemon:
    C:\coLinux>colinux-daemon -h
    Cooperative Linux Daemon, 0.6.2
    Compiled on Sat Feb 5 10:19:28 2005

    C:\WINDOWS\Minidump>dumpchk Mini032105-04.dmp
    Loading dump file Mini032105-04.dmp
    ----- 32 bit Kernel Mini Dump Analysis

    DUMP_HEADER32:
    MajorVersion 0000000f
    MinorVersion 00000a28
    DirectoryTableBase 03180760
    PfnDataBase 81922000
    PsLoadedModuleList 8055c700
    PsActiveProcessHead 805627b8
    MachineImageType 0000014c
    NumberProcessors 00000002
    BugCheckCode 100000d1
    BugCheckParameter1 a970801c
    BugCheckParameter2 000000ff
    BugCheckParameter3 00000008
    BugCheckParameter4 a970801c
    PaeEnabled 00000001
    KdDebuggerDataBlock 8054c2e0
    MiniDumpFields 00000dff

    TRIAGE_DUMP32:
    ServicePackBuild 00000200
    SizeOfDump 00010000
    ValidOffset 0000fffc
    ContextOffset 00000320
    ExceptionOffset 000007d0
    MmOffset 00001068
    UnloadedDriversOffset 000010a0
    PrcbOffset 00001878
    ProcessOffset 000024c8
    ThreadOffset 00002728
    CallStackOffset 00002980
    SizeOfCallStack 00000590
    DriverListOffset 000031a0
    DriverCount 0000008c
    StringPoolOffset 00005b30
    StringPoolSize 00001350
    BrokenDriverOffset 00000000
    TriageOptions 00000041
    TopOfStack a99f8a70
    DebuggerDataOffset 00002f10
    DebuggerDataSize 00000290
    DataBlocksOffset 00006e80
    DataBlocksCount 00000002

    Windows XP Kernel Version 2600 (Service Pack 2) MP (2 procs)
    Free x86 compatible

    Kernel base = 0x804d7000 PsLoadedModuleList = 0x8055c700
    Debug session time: Mon Mar 21 10:06:51 2005
    System Uptime: 0 days 0:03:44
    start end module name
    804d7000 806e2000 nt Checksum: 001F22D9
    Timestamp: Wed Aug 04 01:
    58:37 2004 (41107B0D)

    Unloaded modules:
    aa0f6000 aa120000 kmixer.sys Timestamp: unavailable
    (00000000)
    f8cd6000 f8cd7000 drmkaud.sys Timestamp: unavailable
    (00000000)
    aa1c0000 aa1e3000 aec.sys Timestamp: unavailable
    (00000000)
    aa2d8000 aa2e5000 DMusic.sys Timestamp: unavailable
    (00000000)
    aa3ac000 aa3ba000 swmidi.sys Timestamp: unavailable
    (00000000)
    f8b8b000 f8b8d000 splitter.sys Timestamp: unavailable
    (00000000)
    f8845000 f884e000 processr.sys Timestamp: unavailable
    (00000000)
    f8835000 f8840000 p3.sys Timestamp: unavailable
    (00000000)
    f8aa9000 f8aad000 kbdhid.sys Timestamp: unavailable
    (00000000)
    f8815000 f8822000 i8042prt.sys Timestamp: unavailable
    (00000000)
    f88cd000 f88d2000 Cdaudio.SYS Timestamp: unavailable
    (00000000)
    f8aa1000 f8aa4000 Sfloppy.SYS Timestamp: unavailable
    (00000000)

    Finished dump check

    C:\WINDOWS\Minidump>

     
  • Logged In: YES
    user_id=768311

    I believe I may have a solution. Most new PCs are coming
    out with a special hardware feature known as DEP (Data
    Execution Protection). Basically, this is supposed to help
    prevent buffer overruns by marking sections of memory as
    executable or not. It's possible that some memory is simply
    allocated without setting the execute propery, and the colinux
    driver is attempting to execute non-executive memory. I've
    been able to run coLinux after completely disabling DEP (but
    I can't guarrentee that was the solution, as I also upgraded
    from XP Home to XP Pro, but I doubt that was the solution).
    To disable DEP, you have to edit the boot.ini file. Change
    the "/noexecute=OptIn" or "/noexecute=OptOut"
    to "/noexecute=AlwaysOff".

     
  • Logged In: YES
    user_id=1109645

    DEP is avaible in amd64 series i guess

     
  • Xuefer
    Xuefer
    2007-02-21

    Logged In: YES
    user_id=185131
    Originator: NO

    i'm not sure if it's my hardware issue, but i got BSOD DRIVER_IRQL_NOT_LESS_OR_EQUAL too with 0.7.1 randomly recently, i never got it before

     
  • Henry N.
    Henry N.
    2007-03-09

    • status: open --> closed-out-of-date
     
  • Henry N.
    Henry N.
    2007-03-09

    Logged In: YES
    user_id=579204
    Originator: NO

    DEP-Problem and /dev/mem are fixed in current snapshots on
    http://www.colinux.org/snapshots/

    All other DRIVER_IRQL_NOT_LESS_OR_EQUAL can be in other cases, but not the DEP-Problem.
    So I close this bug now. Please open a new bug for the current version, if you have.